Subject: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Mar 2023 22:10:19 +0200

> From: No Wayman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 06 Mar 2023 13:46:39 -0500
> 
> The example I gave used the emacs-lisp-native-compile-and-load 
> directly because it is the simplest way to reproduce the error.
> The same error can happen if the jit native compilation kicks in 
> (because an entirely different feature is loaded but needs to be 
> jit compiled) while in the buffer which no longer has a file 
> associated with it.

Sorry, I don't think I understand.  Are you saying that we don't bind
default-directory to a safe value when compiling?  IOW, how could a
directory where the async compilation subprocess runs become invalid,
in Real Life?